{********************************************************}
{                                                        }
{                 Zeos Database Objects                  }
{              Sybase SQL components registration        }
{                                                        }
{       Copyright (c) 1999-2001 Sergey Seroukhov         }
{    Copyright (c) 1999-2002 Zeos Development Group      }
{                                                        }
{********************************************************}

unit ZSySqlReg;

interface

{$IFNDEF LINUX}
{$INCLUDE ..\Zeos.inc}
{$INCLUDE ..\ZeosDef.inc}
{$ELSE}
{$INCLUDE ../Zeos.inc}
{$INCLUDE ../ZeosDef.inc}
{$ENDIF}

procedure Register;

implementation

uses Classes, ZSySqlCon, ZSySqlTr, ZSySqlQuery, ZSySqlStoredProc
  {$IFDEF WITH_PROPEDIT}, ZSySqlProp
  {$IFDEF VERCLX}
     ,DesignEditors, DesignIntf
  {$ELSE}
    {$IFDEF VER150ABOVE}
      ,DesignIntf, DesignEditors
    {$ELSE}
      ,DsgnIntf
    {$ENDIF}
  {$ENDIF}
{$ENDIF};

{ Register components in a component palette }
procedure Register;
begin
  RegisterComponents(ZEOS_DB_PALETTE, [TZZSySqlDatabase]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZSySqlDatabase, 'Database',
    TZZSySqlDatabaseNameProperty);
{$ENDIF}

  RegisterComponents(ZEOS_DB_PALETTE, [TZZSySqlTransact]);

  RegisterComponents(ZEOS_DB_PALETTE, [TZZSySqlTable]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZSySqlQuery]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZSySqlStoredProc]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZSySqlTable, 'TableName',
    TZZSySqlTableNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TZZSySqlStoredProc, 'StoredProcName',
    TZZSySqlStoredProcNameProperty);
{$ENDIF}
end;

end.
